
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "config_parser/version"

Gem::Specification.new do |spec|
  spec.name          = "file_config_parser"
  spec.version       = ConfigParser::VERSION
  spec.authors       = ["Aashish Saini"]
  spec.email         = ["aashish.saini@3pillarglobal.com"]

  spec.summary       = 'Parse the configuration items into a Hash.'
  spec.description   = "Parse the configuration file using only the ruby standard library (no gems).\nParse the configuration items into a Hash.\nHash values should use the appropriate native Ruby data types. For example ‘debug_mode=off' would return in the hash,  'debug_mode: false'"
  spec.homepage      = "http://www.example.com"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
